package keyvalue

import (
	"errors"
	"wechat-conf/models/model"
	"wechat-conf/models/model/keyvalue"
	"wechat-conf/utils"
)

// KeyvalueServ 用户
type KeyvalueServ struct {
	ctx *utils.Context
	dao *keyvalue.KeyvalueDAO
}

// NewKeyvalueServ 初始化
func NewKeyvalueServ(ctx *utils.Context) *KeyvalueServ {
	return &KeyvalueServ{
		ctx: ctx,
		dao: keyvalue.NewKeyvalueDAO(ctx),
	}
}
func (s *KeyvalueServ) GetValueByKey(keyId string) (*model.TaWechatKeyValue, error) {
	keyvalue, err := s.dao.GetValueByKey(keyId)
	if err != nil {
		utils.LogError("获取值失败: " + err.Error())
		return nil, errors.New("获取值失败")
	}
	return keyvalue, nil
}
func (s *KeyvalueServ) AddKeyvalue(keyvalue model.TaWechatKeyValue) error {
	err := s.dao.AddValueKey(keyvalue)
	if err != nil {
		utils.LogError("新增值失败: " + err.Error())
		return errors.New("新增值失败")
	}
	return nil
}
